# List Workflows List all Workflows. ## Parameters - `limit` (integer, optional) Restrict page size to no more than this number. - `page` (string, optional) Token of the current page in the list request. - `status` (array of enums, optional) When retrieving Workflows, include only those with the specified status values. If not specified, all Workflows in active and inactive status are returned. Possible enum values: - `active` This Workflow is active and ready to be invoked. - `archived` This Workflow has been archived, and cannot be invoked. - `draft` This Workflow has not been finalized, and cannot be invoked. - `inactive` This Workflow has been saved, but is temporarily paused, and cannot be invoked. ## Returns ## Response attributes - `data` (array of objects) One page of retrieved Workflows. - `data.id` (string) The unique ID of the Workflow. - `data.object` (string, value is "v2.extend.workflow") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.created` (timestamp) When the Workflow was created. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.status` (enum) Whether this Workflow is active, inactive, or in some other state. Only active Workflows may be invoked. Possible enum values: - `active` This Workflow is active and ready to be invoked. - `archived` This Workflow has been archived, and cannot be invoked. - `draft` This Workflow has not been finalized, and cannot be invoked. - `inactive` This Workflow has been saved, but is temporarily paused, and cannot be invoked. - `data.title` (string) Workflow title. - `data.triggers` (array of objects) Under what conditions will this Workflow launch. - `data.triggers.event_trigger` (object, nullable) The Workflow can be launched when Stripe emits a certain event. - `data.triggers.event_trigger.events_from` (array of strings) Specifies which accounts’ events will trigger this Workflow. - `data.triggers.event_trigger.type` (string) The Stripe event type that will trigger this Workflow. - `data.triggers.manual` (object, nullable) The Workflow can be launched through a direct call, using either the Dashboard or the Stripe API. - `data.triggers.type` (enum) Which type of trigger this is. Possible enum values: - `event_trigger` This Workflow is triggerable through a Stripe-generated event. - `manual` This Workflow is triggerable by invoking it through the Dashboard or the API. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ```curl curl https://api.stripe.com/v2/extend/workflows \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` ### Response ```json { "data": [ { "id": "wf_test_61UNwDso5RkJhsXt116TT0rUFzSQLefl99yAJBArIFXc", "object": "v2.extend.workflow", "created": "2026-03-24T16:57:16.660Z", "livemode": false, "status": "active", "title": "Cancel unpaid invoices", "triggers": [ { "manual": {}, "type": "manual" } ] }, { "id": "wf_test_61UM4xxSHv971kVmM16TT0rUFzSQLefl99yAJBArI3Am", "object": "v2.extend.workflow", "created": "2026-03-19T13:53:09.987Z", "livemode": false, "status": "active", "title": "Send welcome email", "triggers": [ { "event_trigger": { "events_from": [ "@self" ], "type": "customer.created" }, "type": "event_trigger" } ] } ], "next_page_url": null, "previous_page_url": null } ```